Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1775610 - [abrt] CuraEngine: std::__replacement_assert(): CuraEngine killed by SIGABRT
Summary: [abrt] CuraEngine: std::__replacement_assert(): CuraEngine killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: CuraEngine
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:51ef1859da68065a69d826ca984...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-22 11:56 UTC by Gerhard
Modified: 2020-01-17 05:06 UTC (History)
3 users (show)

Fixed In Version: CuraEngine-4.4.0-2.fc31
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-17 05:06:00 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (15.12 KB, text/plain)
2019-11-22 11:56 UTC, Gerhard
no flags Details
File: core_backtrace (13.60 KB, text/plain)
2019-11-22 11:56 UTC, Gerhard
no flags Details
File: cpuinfo (2.47 KB, text/plain)
2019-11-22 11:56 UTC, Gerhard
no flags Details
File: dso_list (1.06 KB, text/plain)
2019-11-22 11:56 UTC, Gerhard
no flags Details
File: environ (1.27 KB, text/plain)
2019-11-22 11:56 UTC, Gerhard
no flags Details
File: limits (1.29 KB, text/plain)
2019-11-22 11:56 UTC, Gerhard
no flags Details
File: maps (9.18 KB, text/plain)
2019-11-22 11:56 UTC, Gerhard
no flags Details
File: mountinfo (2.91 KB, text/plain)
2019-11-22 11:56 UTC, Gerhard
no flags Details
File: open_fds (184 bytes, text/plain)
2019-11-22 11:56 UTC, Gerhard
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-11-22 11:56 UTC, Gerhard
no flags Details

Description Gerhard 2019-11-22 11:56:04 UTC
Description of problem:
Tried to slice a model with the option 'Spiralize Outer Contour'.

Version-Release number of selected component:
1:CuraEngine-4.1.0-2.fc31

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/session-2.scope
cmdline:        /usr/bin/CuraEngine connect 127.0.0.1:49674
crash_function: std::__replacement_assert
executable:     /usr/bin/CuraEngine
journald_cursor: s=b0fe79b8a7564c5eb0feae5f86f7ee33;i=267e8;b=41d8df49ba034606beb3b45620bb6c68;m=2a96ca2a76;t=597edf4d0e87c;x=55a641d259c6e719
kernel:         5.3.11-300.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (8 frames)
 #2 std::__replacement_assert at /usr/include/c++/9/x86_64-redhat-linux/bits/c++config.h:2533
 #3 std::vector<cura::Polygons*, std::allocator<cura::Polygons*> >::operator[] at /usr/src/debug/CuraEngine-4.1.0-2.fc31.x86_64/src/FffGcodeWriter.cpp:235
 #4 cura::FffGcodeWriter::findLayerSeamsForSpiralize at /usr/src/debug/CuraEngine-4.1.0-2.fc31.x86_64/src/FffGcodeWriter.cpp:230
 #5 cura::FffGcodeWriter::writeGCode at /usr/src/debug/CuraEngine-4.1.0-2.fc31.x86_64/src/FffGcodeWriter.cpp:94
 #6 cura::Scene::processMeshGroup at /usr/src/debug/CuraEngine-4.1.0-2.fc31.x86_64/src/Scene.cpp:110
 #7 cura::Slice::compute at /usr/src/debug/CuraEngine-4.1.0-2.fc31.x86_64/src/Slice.cpp:25
 #8 cura::ArcusCommunication::sliceNext at /usr/src/debug/CuraEngine-4.1.0-2.fc31.x86_64/src/communication/ArcusCommunication.cpp:524
 #9 cura::Application::run at /usr/src/debug/CuraEngine-4.1.0-2.fc31.x86_64/src/Application.cpp:229

Potential duplicate: bug 1725020

Comment 1 Gerhard 2019-11-22 11:56:08 UTC
Created attachment 1638693 [details]
File: backtrace

Comment 2 Gerhard 2019-11-22 11:56:10 UTC
Created attachment 1638694 [details]
File: core_backtrace

Comment 3 Gerhard 2019-11-22 11:56:12 UTC
Created attachment 1638695 [details]
File: cpuinfo

Comment 4 Gerhard 2019-11-22 11:56:14 UTC
Created attachment 1638696 [details]
File: dso_list

Comment 5 Gerhard 2019-11-22 11:56:16 UTC
Created attachment 1638697 [details]
File: environ

Comment 6 Gerhard 2019-11-22 11:56:17 UTC
Created attachment 1638698 [details]
File: limits

Comment 7 Gerhard 2019-11-22 11:56:19 UTC
Created attachment 1638699 [details]
File: maps

Comment 8 Gerhard 2019-11-22 11:56:20 UTC
Created attachment 1638700 [details]
File: mountinfo

Comment 9 Gerhard 2019-11-22 11:56:22 UTC
Created attachment 1638701 [details]
File: open_fds

Comment 10 Gerhard 2019-11-22 11:56:23 UTC
Created attachment 1638702 [details]
File: proc_pid_status

Comment 11 Fedora Update System 2020-01-08 14:16:12 UTC
CuraEngine-4.4.0-2.fc31, cura-4.4.0-1.fc31, cura-fdm-materials-4.4.0-1.fc31, libarcus-4.4.0-1.fc31, libsavitar-4.4.0-1.fc31, python-uranium-4.4.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d06f49cd35

Comment 12 Fedora Update System 2020-01-17 05:06:00 UTC
CuraEngine-4.4.0-2.fc31, cura-4.4.0-1.fc31, cura-fdm-materials-4.4.0-1.fc31, libarcus-4.4.0-1.fc31, libsavitar-4.4.0-1.fc31, python-uranium-4.4.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.